      program simple
      real a(100), b(100), c(100), x

C
C     Initialize all variables:
C
      call setup(a, b, c, x)

C
C     Perform computations:
C
      call elwise(a, b, c)
      call total(a, x)

C
C     Print results:
C
      print *, x

      stop
      end
